<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <LinearLayout
        android:id="@+id/ll_bottom"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:background="@color/white"
        android:gravity="center"
        android:paddingVertical="10mm">


        <Button
            android:id="@+id/btn_add"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="20mm"
            android:visibility="gone"
            android:background="@drawable/shape_blue_circle"
            android:paddingHorizontal="40mm"
            android:text="新建"
            android:textColor="@color/white" />

        <Button
            android:id="@+id/btn_submit"
            android:visibility="gone"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="20mm"
            android:background="@drawable/shape_blue_circle"
            android:paddingHorizontal="40mm"
            android:text="提交"
            android:textColor="@color/white" />
    </LinearLayout>

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_above="@id/ll_bottom">

        <LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/white"
            android:orientation="vertical">

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingHorizontal="20mm"
                android:paddingVertical="9mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="基本信息"
                    android:textSize="18sp" />

            </RelativeLayout>

            <RelativeLayout
                android:id="@+id/rl_client"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingHorizontal="20mm"
                android:paddingVertical="9mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentLeft="true"
                    android:layout_centerVertical="true"
                    android:text="客户名称"
                    android:textSize="14sp" />

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:gravity="center_vertical">

                    <TextView
                        android:id="@+id/tv_client"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentLeft="true"
                        android:layout_marginRight="3mm"
                        android:text="请选择"
                        android:textColor="@color/flexible_text_gray"
                        android:textSize="14sp" />

                    <ImageView
                        android:layout_width="15mm"
                        android:layout_height="20mm"
                        android:src="@mipmap/arrow_right_gray" />
                </LinearLayout>

            </RelativeLayout>


            <View style="@style/dividerX" />

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingHorizontal="20mm"
                android:paddingVertical="9mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentLeft="true"
                    android:layout_centerVertical="true"
                    android:text="销售经理"
                    android:textSize="14sp" />

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:gravity="center_vertical">

                    <TextView
                        android:id="@+id/tv_manager"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentLeft="true"
                        android:layout_marginRight="3mm"
                        android:textColor="@color/flexible_text_gray"
                        android:textSize="14sp" />

                    <ImageView
                        android:layout_width="15mm"
                        android:layout_height="20mm"
                        android:src="@mipmap/arrow_right_gray"
                        android:visibility="gone" />
                </LinearLayout>

            </RelativeLayout>

            <View style="@style/dividerX" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingHorizontal="20mm"
                android:paddingVertical="9mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="联系电话"
                    android:textSize="14sp" />

                <TextView
                    android:id="@+id/tv_phone"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_marginLeft="10mm"
                    android:layout_weight="1"
                    android:background="@null"
                    android:gravity="right"
                    android:padding="3mm"
                    android:textColor="@color/flexible_text_gray"
                    android:textSize="14sp" />
            </LinearLayout>

            <View style="@style/dividerX" />

            <RelativeLayout
                android:id="@+id/rl_box"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingHorizontal="20mm"
                android:paddingVertical="9mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentLeft="true"
                    android:layout_centerVertical="true"
                    android:text="箱码"
                    android:textSize="14sp" />

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:gravity="center_vertical">

                    <TextView
                        android:id="@+id/tv_box"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentLeft="true"
                        android:layout_marginRight="3mm"
                        android:text="请选择"
                        android:textColor="@color/flexible_text_gray"
                        android:textSize="14sp" />

                    <ImageView
                        android:layout_width="15mm"
                        android:layout_height="20mm"
                        android:src="@mipmap/arrow_right_gray" />
                </LinearLayout>

            </RelativeLayout>

            <View style="@style/dividerX" />

            <RelativeLayout
                android:id="@+id/rl_pro"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingHorizontal="20mm"
                android:paddingVertical="9mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentLeft="true"
                    android:layout_centerVertical="true"
                    android:text="产品编码"
                    android:textSize="14sp" />

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:gravity="center_vertical">

                    <TextView
                        android:id="@+id/tv_pro_code"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentLeft="true"
                        android:layout_marginRight="3mm"
                        android:textColor="@color/flexible_text_gray"
                        android:textSize="14sp" />

                    <ImageView
                        android:layout_width="15mm"
                        android:layout_height="20mm"
                        android:src="@mipmap/arrow_right_gray"
                        android:visibility="gone" />
                </LinearLayout>

            </RelativeLayout>

            <View style="@style/dividerX" />

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingHorizontal="20mm"
                android:paddingVertical="9mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentLeft="true"
                    android:layout_centerVertical="true"
                    android:text="产品名称"
                    android:textSize="14sp" />

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:gravity="center_vertical">

                    <TextView
                        android:id="@+id/tv_pro_name"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentLeft="true"
                        android:layout_marginRight="3mm"
                        android:textColor="@color/flexible_text_gray"
                        android:textSize="14sp" />

                    <ImageView
                        android:layout_width="15mm"
                        android:layout_height="20mm"
                        android:src="@mipmap/arrow_right_gray"
                        android:visibility="gone" />
                </LinearLayout>

            </RelativeLayout>

            <View style="@style/dividerX" />

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingHorizontal="20mm"
                android:paddingVertical="9mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentLeft="true"
                    android:layout_centerVertical="true"
                    android:text="规格型号"
                    android:textSize="14sp" />

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:gravity="center_vertical">

                    <TextView
                        android:id="@+id/tv_spec"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentLeft="true"
                        android:layout_marginRight="3mm"
                        android:textColor="@color/flexible_text_gray"
                        android:textSize="14sp" />

                    <ImageView
                        android:layout_width="15mm"
                        android:layout_height="20mm"
                        android:src="@mipmap/arrow_right_gray"
                        android:visibility="gone" />
                </LinearLayout>

            </RelativeLayout>

            <View style="@style/dividerX" />

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingHorizontal="20mm"
                android:paddingVertical="9mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentLeft="true"
                    android:layout_centerVertical="true"
                    android:text="图号"
                    android:textSize="14sp" />

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:gravity="center_vertical">

                    <TextView
                        android:id="@+id/tv_img_code"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentLeft="true"
                        android:layout_marginRight="3mm"
                        android:textColor="@color/flexible_text_gray"
                        android:textSize="14sp" />

                    <ImageView
                        android:layout_width="15mm"
                        android:layout_height="20mm"
                        android:src="@mipmap/arrow_right_gray"
                        android:visibility="gone" />
                </LinearLayout>

            </RelativeLayout>

            <View style="@style/dividerX" />


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingHorizontal="20mm"
                android:paddingVertical="9mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="支数"
                    android:textSize="14sp" />

                <EditText
                    android:id="@+id/et_num"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_marginLeft="10mm"
                    android:layout_weight="1"
                    android:background="@null"
                    android:gravity="right"
                    android:hint="请输入"
                    android:padding="3mm"
                    android:textColor="@color/flexible_text_gray"
                    android:textSize="14sp" />
            </LinearLayout>

            <View style="@style/dividerX" />

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingHorizontal="20mm"
                android:paddingVertical="9mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentLeft="true"
                    android:layout_centerVertical="true"
                    android:text="单支标志码"
                    android:textSize="14sp" />

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:gravity="center_vertical">

                    <TextView
                        android:id="@+id/tv_mark_code"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentLeft="true"
                        android:layout_marginRight="3mm"
                        android:textColor="@color/flexible_text_gray"
                        android:textSize="14sp" />

                    <ImageView
                        android:layout_width="15mm"
                        android:layout_height="20mm"
                        android:src="@mipmap/arrow_right_gray"
                        android:visibility="gone" />
                </LinearLayout>

            </RelativeLayout>

            <View style="@style/dividerX" />


            <RelativeLayout
                android:id="@+id/rl_machine"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingHorizontal="20mm"
                android:paddingVertical="9mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentLeft="true"
                    android:layout_centerVertical="true"
                    android:text="对应连铸机"
                    android:textSize="14sp" />

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:gravity="center_vertical">

                    <TextView
                        android:id="@+id/tv_machine"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentLeft="true"
                        android:layout_marginRight="3mm"
                        android:text="请选择"
                        android:textColor="@color/flexible_text_gray"
                        android:textSize="14sp" />

                    <ImageView
                        android:layout_width="15mm"
                        android:layout_height="20mm"
                        android:src="@mipmap/arrow_right_gray" />
                </LinearLayout>

            </RelativeLayout>


            <View style="@style/dividerX" />

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingHorizontal="20mm"
                android:paddingVertical="9mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentLeft="true"
                    android:layout_centerVertical="true"
                    android:text="对应钢种"
                    android:textSize="14sp" />

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:gravity="center_vertical">

                    <TextView
                        android:id="@+id/tv_steel"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentLeft="true"
                        android:layout_marginRight="3mm"
                        android:textColor="@color/flexible_text_gray"
                        android:textSize="14sp" />

                </LinearLayout>

            </RelativeLayout>

            <View style="@style/dividerX" />

            <RelativeLayout
                android:id="@+id/rl_defect"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingHorizontal="20mm"
                android:paddingVertical="9mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentLeft="true"
                    android:layout_centerVertical="true"
                    android:text="缺陷名称"
                    android:textSize="14sp" />

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:gravity="center_vertical">

                    <TextView
                        android:id="@+id/tv_defect"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentLeft="true"
                        android:layout_marginRight="3mm"
                        android:text="请选择"
                        android:textColor="@color/flexible_text_gray"
                        android:textSize="14sp" />

                    <ImageView
                        android:layout_width="15mm"
                        android:layout_height="20mm"
                        android:src="@mipmap/arrow_right_gray" />
                </LinearLayout>

            </RelativeLayout>

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingHorizontal="20mm"
                android:paddingVertical="13mm"
                android:text="缺陷原因"
                android:textSize="14sp" />

            <TextView
                android:id="@+id/et_desc"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="20mm"
                android:layout_marginTop="3mm"
                android:layout_marginBottom="40mm"
                android:background="@drawable/shape_input_white"
                android:gravity="top"
                android:hint="请输入"
                android:minLines="4"
                android:padding="5mm"
                android:textSize="14sp" />
            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/flexible_background"
                android:paddingHorizontal="20mm"
                android:paddingVertical="9mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="反馈信息"
                    android:textSize="18sp" />

            </RelativeLayout>

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingHorizontal="20mm"
                android:paddingVertical="13mm"
                android:text="反馈信息详细描述"
                android:textSize="14sp" />

            <EditText
                android:id="@+id/tv_feedback_desc"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="20mm"
                android:layout_marginTop="3mm"
                android:layout_marginBottom="30mm"
                android:hint="请输入"
                android:background="@drawable/shape_input_white"
                android:gravity="top"
                android:minLines="4"
                android:padding="5mm"
                android:textSize="14sp" />

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingHorizontal="20mm"
                android:paddingVertical="13mm"
                android:text="其他供货厂家及使用情况"
                android:textSize="14sp" />

            <EditText
                android:id="@+id/tv_other_supplier"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="20mm"
                android:layout_marginTop="3mm"
                android:layout_marginBottom="30mm"
                android:background="@drawable/shape_input_white"
                android:gravity="top"
                android:hint="请输入"
                android:minLines="4"
                android:padding="5mm"
                android:textSize="14sp" />

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingHorizontal="20mm"
                android:paddingVertical="13mm"
                android:text="分析及建议"
                android:textSize="14sp" />

            <EditText
                android:id="@+id/tv_feedback_suggest"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="20mm"
                android:layout_marginTop="3mm"
                android:layout_marginBottom="30mm"
                android:background="@drawable/shape_input_white"
                android:gravity="top"
                android:minLines="4"
                android:hint="请输入"
                android:padding="5mm"
                android:textSize="14sp" />
            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="20mm"
                android:layout_marginTop="10mm"
                android:text="上传现场照片"
                android:textSize="15sp" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv_img"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10mm" />

        </LinearLayout>
    </androidx.core.widget.NestedScrollView>
</RelativeLayout>